EDIT - bug #4964

footnotes for taxonRelationship sources and annotations should be rendered together
06/03/2015 03:30 PM - Andreas Kohlbecker

Status: Duplicate Start date:

Priority: Priority10 Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour

Target version:

Severity: normal Found in Version:

Description

the ordering of the footnotes on
http:/dev.e-taxonomy.eu/dataportal/rotelisten_flora_deutschland/cdm_dataportal/taxon/6a24cc06-c5fc-4b29-aaea-ee21bel1130a6/s
nonymy. is wrong. First comes 5 then 4, should be the other way round.

Please scroll to the very bottom of the page. There we have first "5. sensu Andere Referenzen (fuer auct. Synonyme)" and then "4.
Homonym".

This is an effect of rendering the footnotes for taxonRelationships taxonRelationships annotations together:

<li class="footnotes footnotes-taxonRelationships "></1i>
<li class="footnotes footnotes-taxonRelationships—-annotations "></1i>

They should be rendered together instead.
Closely related to #2602 (Taxon synonymy: type designation footnotes rendered together with taxon_page_synonymy footnotes)

ticket has been split of from #2679

Related issues:

Related to EDIT - bug #2602: Taxon synonymy: type designation footnotes rende... Worksforme
Is duplicate of EDIT - task #8543: overcome distinction of annotation and oth... Closed
History

#1 - 09/11/2019 03:13 PM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#2 - 09/11/2019 03:16 PM - Andreas Kohlbecker

- Related to bug #2602: Taxon synonymy: type designation footnotes rendered together with taxon_page_synonymy footnotes added

#3 - 09/11/2019 03:20 PM - Andreas Kohlbecker

- Related to task #8543: overcome distinction of annotation and other foonotes added

#4 - 09/11/2019 07:18 PM - Andreas Miiller

- Subject changed from footnotes for taxonRelationships taxonRelationships annotations should be rendered together to footnotes for
taxonRelationships annotations should be rendered together

- Target version changed from cdm_dataportal - Next Major Release to Unassigned CDM tickets

The other milestone should not be used anymore

#5 - 07/24/2020 11:51 AM - Andreas Kohlbecker
can be solved by setting the $footnote_list_key_suggestion parameter of handle_annotations_and_sources() explicitly.

Here at the example of creating footnotes for typedesignations:

handle_annotations_and_sources (
SderivedUnitFacadeInstance,

04/10/2024 1/2



http://dev.e-taxonomy.eu/dataportal/rotelisten_flora_deutschland/cdm_dataportal/taxon/6a24cc06-c5fc-4b29-aaea-ee21be1130a6/synonymy
http://dev.e-taxonomy.eu/dataportal/rotelisten_flora_deutschland/cdm_dataportal/taxon/6a24cc06-c5fc-4b29-aaea-ee21be1130a6/synonymy
https://dev.e-taxonomy.eu/redmine/issues/2602

typedesignations_annotations_and_sources_config(),
L

RenderHints::getFootnoteListKey ()
)i

#6 - 07/30/2020 09:27 AM - Andreas Kohlbecker
- Status changed from New to Worksforme

- Target version deleted (Unassigned CDM tickets)

#7 - 07/30/2020 09:28 AM - Andreas Kohlbecker
- Status changed from Worksforme to New

- Target version set to Unassigned CDM tickets

#8 - 07/30/2020 09:30 AM - Andreas Kohlbecker

- Subject changed from footnotes for taxonRelationships annotations should be rendered together to footnotes for taxonRelationship sources and
annotations should be rendered together

#9 - 09/25/2020 02:40 PM - Andreas Kohlbecker

- Related to deleted (task #8543: overcome distinction of annotation and other foonotes)

#10 - 09/25/2020 02:40 PM - Andreas Kohlbecker

- Is duplicate of task #8543: overcome distinction of annotation and other foonotes added

#11 - 09/25/2020 02:41 PM - Andreas Kohlbecker
- Status changed from New to Duplicate

- Target version deleted (Unassigned CDM tickets)
- % Done changed from 0 to 100

closing as duplicate of #8543
